Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037879
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 05. Production managementminorhave not tried2018-02-11 12:032019-03-28 14:55
ReportershuehnerView Statuspublic 
Assigned ToTriage Finance 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision67f6e4cbf843
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037879: Production report "CCP Sheet" & "CCP Measures" sheet should be rewritten without fop or removes

DescriptionThose 2 reports as using in print button of production window
a.) CCP Sheet in Window "Quality Control Point" -> Header
Note: When trying to run the report at least one row in child tab must exist otherwise reports fails with an error.
b.) CCP Measures" in Window "Quality Control Report"

When having data in those windows the report seem to still function.

Note: Both windows are hidden with all rest of "Production" when not using an activated instance.

Note:
Both reports when briefly checking pdf out seems very special purpose as having hardcoded textx about 'frozen', 'refrigerated'. When checking for if those should be reimplemented it should be checked if they should stay like this in core product or if the instances using it should do that as a custom report.
Both reports use the obsolete FOP rendering technology and should be rewritten using jasperreports or removed.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0040132 closedTriage Finance API change: removed reports 
blocks feature request 0037874 closedalostale Remove support for fop rendering from core product as very nearly not used 

-  Notes
(0109550)
hgbot (developer)
2019-02-05 08:12

Repository: erp/devel/pi
Changeset: 67f6e4cbf843fae8416b38c482c802b8b53f6c94
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Jan 16 13:42:13 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/67f6e4cbf843fae8416b38c482c802b8b53f6c94 [^]

[fop] fixed issue 37879: removed production reports CCP Sheet & CCP Measures

---
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
R src/org/openbravo/erpReports/RptMA_CCP_Group.fo
R src/org/openbravo/erpReports/RptMA_CCP_Group.java
R src/org/openbravo/erpReports/RptMA_CCP_Group.xml
R src/org/openbravo/erpReports/RptMA_CCP_Group_data.xsql
R src/org/openbravo/erpReports/RptMA_CCP_Measures.fo
R src/org/openbravo/erpReports/RptMA_CCP_Measures.java
R src/org/openbravo/erpReports/RptMA_CCP_Measures.xml
R src/org/openbravo/erpReports/RptMA_CCP_Measures_Hours.fo
R src/org/openbravo/erpReports/RptMA_CCP_Measures_Hours.xml
R src/org/openbravo/erpReports/RptMA_CCP_Measures_Hours_data.xsql
R src/org/openbravo/erpReports/RptMA_CCP_Measures_Values.fo
R src/org/openbravo/erpReports/RptMA_CCP_Measures_Values.xml
R src/org/openbravo/erpReports/RptMA_CCP_Measures_Values_data.xsql
R src/org/openbravo/erpReports/RptMA_CCP_Measures_data.xsql
---
(0109551)
hgbot (developer)
2019-02-05 08:12

Repository: erp/devel/pi
Changeset: ebd4de64433a8f37b4a5889baea8877ce5e76c10
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Jan 17 09:49:43 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ebd4de64433a8f37b4a5889baea8877ce5e76c10 [^]

[fop] related to issue 37879: removed window references to ccp reports

---
M src-db/database/sourcedata/AD_TAB.xml
---
(0109560)
alostale (developer)
2019-02-05 08:27

Removed in the scope of remove FOP support project (0037874).
(0110791)
hudsonbot (developer)
2019-03-28 14:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test
(0110792)
hudsonbot (developer)
2019-03-28 14:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-02-11 12:03 shuehner New Issue
2018-02-11 12:03 shuehner Assigned To => Triage Finance
2018-02-11 12:03 shuehner Modules => Core
2018-02-11 12:03 shuehner Triggers an Emergency Pack => No
2018-02-11 12:03 shuehner Relationship added blocks 0037874
2019-02-05 07:55 alostale Relationship added depends on 0040132
2019-02-05 08:12 hgbot Checkin
2019-02-05 08:12 hgbot Note Added: 0109550
2019-02-05 08:12 hgbot Status new => resolved
2019-02-05 08:12 hgbot Resolution open => fixed
2019-02-05 08:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/67f6e4cbf843fae8416b38c482c802b8b53f6c94 [^]
2019-02-05 08:12 hgbot Checkin
2019-02-05 08:12 hgbot Note Added: 0109551
2019-02-05 08:27 alostale Note Added: 0109560
2019-02-05 08:27 alostale Status resolved => closed
2019-02-05 08:27 alostale Fixed in Version => 3.0PR19Q2
2019-03-28 14:55 hudsonbot Checkin
2019-03-28 14:55 hudsonbot Note Added: 0110791
2019-03-28 14:55 hudsonbot Checkin
2019-03-28 14:55 hudsonbot Note Added: 0110792


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker